Update Workflow Status
curl --request PUT \
--url https://app.dograh.com/api/v1/workflow/{workflow_id}/status \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>"
}
'{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"template_context_variables": {},
"call_disposition_codes": {
"disposition_codes": []
},
"total_runs": 123,
"workflow_configurations": {},
"version_number": 123,
"version_status": "<string>",
"workflow_uuid": "<string>"
}Agents
Archive Agent
Archive or restore a voice agent
PUT
/
api
/
v1
/
workflow
/
{workflow_id}
/
status
Update Workflow Status
curl --request PUT \
--url https://app.dograh.com/api/v1/workflow/{workflow_id}/status \
--header 'Content-Type: application/json' \
--data '
{
"status": "<string>"
}
'{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"workflow_definition": {},
"current_definition_id": 123,
"template_context_variables": {},
"call_disposition_codes": {
"disposition_codes": []
},
"total_runs": 123,
"workflow_configurations": {},
"version_number": 123,
"version_status": "<string>",
"workflow_uuid": "<string>"
}SendDocumentation Index
Fetch the complete documentation index at: https://docs.dograh.com/llms.txt
Use this file to discover all available pages before exploring further.
{"status": "archived"} to deactivate an agent, or {"status": "active"} to restore it. Archived agents cannot receive calls but their history and definition are preserved.Path Parameters
Body
application/json
Response
Successful Response
Show child attributes
Show child attributes
⌘I